import { Reducer } from './reducer';
import { Dispatch } from './action';
export interface Store<T> {
    dispatch: Dispatch;
    getState(): T;
    subscribe(listener: () => any): () => void;
    replaceReducer(nextReducer: Reducer<T>): void;
}
export declare function createStore<T>(reducer: Reducer<T>, log?: boolean): Store<T | undefined>;
